package opc.ua.im.datatype;

import opc.ua.addressspace.nodeclasse.DataTypeNode;

public class RedundantServerDataType extends DataTypeNode {
	
	private String serverId;
	private byte serviceLevel;
	private ServerState serverState;
	
	
	public RedundantServerDataType() {
		setBrowseName("RedundantServerDataType");
	}

	public String getServerId() {
		return serverId;
	}

	public void setServerId(String serverId) {
		this.serverId = serverId;
	}

	public byte getServiceLevel() {
		return serviceLevel;
	}

	public void setServiceLevel(byte serviceLevel) {
		this.serviceLevel = serviceLevel;
	}

	public ServerState getServerState() {
		return serverState;
	}

	public void setServerState(ServerState serverState) {
		this.serverState = serverState;
	}
	
}
